Delete a dev theme
Deletes the dev theme. The production theme cannot be deleted.
The store:delete_theme link is only present on dev themes.
DELETE
/themes/{id}Authorization
AuthorizationBearer token (JWT) · headerrequiredPath parameters
idstringrequiredTheme ID
Responses
204Theme deleted
403Cannot delete the production theme
404Theme not found
Request
curl -X DELETE "https://api.onbolder.com/v2/themes/abc123" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://api.onbolder.com/v2/themes/abc123", {
method: "DELETE",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.delete(
"https://api.onbolder.com/v2/themes/abc123",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Response
Theme deleted
Cannot delete the production theme
Theme not found